Bug 87743 - Pack LibreOffice for PlayOnLinux for QA
Summary: Pack LibreOffice for PlayOnLinux for QA
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Gouchi
QA Contact:
URL:
Whiteboard:
Keywords: difficultyBeginner, easyHack, skillScript, topicQA
Depends on:
Blocks:
 
Reported: 2014-12-26 13:09 UTC by Björn Michaelsen
Modified: 2016-02-18 16:37 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Bash Script for PlayOnLinux (1.33 KB, application/x-sh)
2015-05-06 21:28 UTC, Massimiliano
Details
Modified orginal version (1.30 KB, application/x-shellscript)
2015-05-15 05:49 UTC, zbygniukas
Details
PlayOnLinux LibreOffice installation script (2.75 KB, application/x-shellscript)
2016-01-27 22:53 UTC, Gouchi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Michaelsen 2014-12-26 13:09:05 UTC
http://www.playonlinux.com allows easy 1-click installs of Windows software on Linux via Wine.

It would be great to have LibreOffice in there, so that is an quick-and-easy way to confirm Windows bugs reports on a Linux machine.
Comment 1 Massimiliano 2015-05-02 17:46:58 UTC
Assigned to myself, this is my first easy hack.
Comment 2 Massimiliano 2015-05-06 21:28:11 UTC
Created attachment 115396 [details]
Bash Script for PlayOnLinux

I created this script to test the LibreOffice installation, tested on Debian x64 but i had wine crash. Can anyone test it and will tell me if is the same.

Thanks
Comment 3 zbygniukas 2015-05-15 05:49:29 UTC
Created attachment 115614 [details]
Modified orginal version
Comment 4 zbygniukas 2015-05-15 05:54:45 UTC
ok, now it installs and runs, but still crashes starting empty document. However, existing one opens without any problems. Need more time to investigate what's happening.
Comment 5 Massimiliano 2015-05-16 11:06:49 UTC
Yes, now it works for me too. I will try to investigate for the crash
Comment 6 Björn Michaelsen 2015-05-19 13:01:11 UTC
add dev-list to cc for some EasyHacks ...
Comment 7 Julien Nabet 2015-11-18 22:21:17 UTC
Massimiliano: I don't know the state of your work but if you can't advance on this one for any reason, don't hesitate to unassign yourself.
Comment 8 Massimiliano 2015-11-27 18:12:21 UTC
Hi @Julien,
Comment 9 Massimiliano 2015-11-27 18:18:33 UTC
Hi @Julien, i decide to unassigned this bug to me. The work is hibernated at my last comment. We need more testing with the latest version of the script attached.
tell me if i can help you.
Comment 10 Robinson Tryon (qubit) 2015-12-10 11:25:04 UTC
Migrating Whiteboard tags to Keywords: (easyHack, skillScript, difficultyBeginner, topicQA)
Comment 11 Gouchi 2016-01-27 22:53:13 UTC
Created attachment 122241 [details]
PlayOnLinux LibreOffice installation script
Comment 12 Gouchi 2016-01-27 22:54:21 UTC
Assigned to myself. 

Please find in attachment a script to install LibreOffice with PlayOnLinux:

- Fixed the crash with LibreOffice version 4.
- Support Local/Download installation for LibreOffice Fresh and Still.
Comment 13 Björn Michaelsen 2016-01-28 12:01:58 UTC
Awesome work!

I pinged the guys on #playonlinux on freenode IRC about it:

(12:36:31) Sweet5hark: Hi guys! Coming here first as your webpage names it as the first point of contact.
(12:37:46) Sweet5hark: Someone wrote a nice playonlinux install script for LibreOffice, it would be awesome to have that included so one could compare Windows and Linux versions directly.
(12:38:13) Sweet5hark: It's attached here: https://bugs.documentfoundation.org/show_bug.cgi?id=87743
(12:38:23) Sweet5hark: Whats the best way to get it included?
(12:55:18) ideo-pol [~PlayOnLin@124.6.181.198] entered the room.
(12:55:25) petch2: hi, there's few things that can be discussed, either here or in the "Your creations" forum
(12:55:31) ideo-pol left the room (quit: Client Quit).
(12:55:57) petch2: then it can be added to the repository for validation

(In reply to Gouchi from comment #12)
> Assigned to myself. 
> 
> Please find in attachment a script to install LibreOffice with PlayOnLinux:

@Gouchi: Could you take it to the forum mentioned above for inclusion in PlayOnLinux?
Comment 14 Björn Michaelsen 2016-01-28 12:07:06 UTC
Also from #playonlinux:

> petch2: quick script review: http://pastebin.com/raw/RcsgwRJ7

(copied below for archive):

TITLE="LibreOffice 4.4.3"

$TITLE will have to match the script name in the repository, so I'd recommend against including the version here, or the script will have to be renamed when the version changes

PREFIX="LibreOffice_4.4.3"

Similarly, unless you want to support installing different versions side-by-side, I'd recommend not including version in the prefix name (or say not the whole version if you want to support installing different major versions).

On the other hand it could be useful to store the version in some variable to avoid repeating it in several places in the script.

POL_SetupWindow_browse "Please select the setup file to run." "$TITLE"

All user oriented messages must support localization mechanism
http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_10:_Script_Translation

POL_Wine_WaitBefore "$TITLE"
POL_SetupWindow_wait "$(eval_gettext 'Installation in progress.')" "$TITLE"

POL_Wine_WaitBefore displays a standard wait message, the POL_SetupWindow_wait is redundan
Comment 15 Gouchi 2016-01-28 20:41:41 UTC
To follow the discussion :
https://www.playonlinux.com/en/topic-13743-Script_LibreOffice.html
Comment 16 Gouchi 2016-01-30 21:03:51 UTC
Scripts have been submitted. Waiting for approval.

LibreOffice 4
https://www.playonlinux.com/en/app-2725-LibreOffice_4.html

LibreOffice 5
https://www.playonlinux.com/en/app-2726-LibreOffice_5.html
Comment 17 Björn Michaelsen 2016-02-03 13:46:49 UTC
(In reply to Gouchi from comment #16)
> Scripts have been submitted. Waiting for approval.

Aaand they are apparently approved. Awesome stuff! Will tell the LibreOffice QA list about it right away!

http://nabble.documentfoundation.org/QA-f3613148.html
Comment 18 Yousuf Philips (jay) 2016-02-03 22:13:01 UTC
With the 'LibreOffice 5' installation script installing 5.0.4 and 5.1.0 coming out shortly, would the script be upgraded to 5.1 or would a new 5.1 installation script be done?
Comment 19 Gouchi 2016-02-05 12:09:46 UTC
We can bump the version for the one downloaded from internet and if you need to install older version you can still do it with the local installation.

So that we can keep script for each version LibreOffice 4, LibreOffice 5 ...

What do you think ?
Comment 20 Björn Michaelsen 2016-02-05 12:27:06 UTC
Hmm, keeping very old versions around is great for QA -- but I dont know how PlayOnLinux sees that, as those very old versions might have some security issues as they are unsupported by TDF.

Another option would be to have "LibreOffice fresh" and "LibreOffice still" like on the libreoffice.org website ...
Comment 21 Yousuf Philips (jay) 2016-02-05 13:48:32 UTC
As its possible to install older versions by downloading the exe and giving it to the installer, i would suggest keeping 1 script per major version and it always being the latest of that version. So with 5.1 releasing, the LibreOffice 5 script should be upgraded to 5.1. With that, we should also add a script for 'LibreOffice 3', which would install 3.6.7.
Comment 22 Robinson Tryon (qubit) 2016-02-18 16:37:18 UTC
Remove LibreOffice Dev List from CC on EasyHacks
(curtailing excessive email to list)
[NinjaEdit]